Document pages not showing for non superusers

Questions, comments, discussions. Over time certain topics might be moved to their own category.
Post Reply
Joel
Posts: 1
Joined: Sat Dec 12, 2020 4:12 am

Document pages not showing for non superusers

Post by Joel »

I am running mayan edms version 3.5 that I installed & run using docker-compose. Everything runs well when I am logged-in as a superuser.
When an non superuser with permission to view a document is logged-in, the 'Total documents' dashboard widget displays the correct number of documents but the 'Total pages' dashboard widget displays a zero!
I can open a document but when I click a page, I get the following error:

Code: Select all

mayan.apps.logging.middleware.error_logging <13356> [ERROR] "process_exception() line 17 Exception caught by request middleware; <WSGIRequest: GET '/documents/documents/pages/64/'>, No DocumentPage matches the given query."
Traceback (most recent call last):
  File "/opt/mayan-edms/lib/python3.7/site-packages/django/shortcuts.py", line 93, in get_object_or_404
    return queryset.get(*args, **kwargs)
  File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 408, in get
    self.model._meta.object_name
mayan.apps.documents.models.document_page_models.DocumentPage.DoesNotExist: DocumentPage matching query does not exist.

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/opt/mayan-edms/lib/python3.7/site-packages/django/core/handlers/base.py", line 113, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/mayan-edms/lib/python3.7/site-packages/django/views/generic/base.py", line 71, in view
    return self.dispatch(request, *args, **kwargs)
  File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/views/mixins.py", line 127, in dispatch
    self.external_object = self.get_external_object()
  File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/views/mixins.py", line 146, in get_external_object
    **self.get_pk_url_kwargs()
  File "/opt/mayan-edms/lib/python3.7/site-packages/django/shortcuts.py", line 95, in get_object_or_404
    raise Http404('No %s matches the given query.' % queryset.model._meta.object_name)
django.http.response.Http404: No DocumentPage matches the given query.
I recently upgraded from mayan edms version 3.2 that was a "simple docker installation"(https://docs.mayan-edms.com/chapters/do ... er-install), however much I did not immediately notice the error I suspect it has something to do with the error.

Any sugestions/help on how I can fix this are welcomed and appreciated
Post Reply